Page MenuHomePhabricator

Migrate ceAllowConfirmedEmail to wgAllowConfirmedEmail and remove prefixes from keys
Closed, ResolvedPublic

Description

ConfirmEdit has one ce prefixed config variable, the rest are wg

The ce one should be migrated (leaving a back compat hook in place), and the prefix removed from the lot

	"config": {
		"_prefix": "",
		"wgCaptchaWhitelistIP": false,
		"wgCaptcha": null,
		"wgCaptchaClass": "SimpleCaptcha",
		"wgCaptchaTriggers": {
			"edit": false,
			"create": false,
			"sendemail": false,
			"addurl": true,
			"createaccount": true,
			"badlogin": true,
			"badloginperuser": true,
			"_merge_strategy": "array_plus"
		},
		"wgCaptchaTriggersOnNamespace": {
			"_merge_strategy": "array_plus_2d"
		},
		"wgCaptchaStorageClass": "CaptchaSessionStore",
		"wgCaptchaSessionExpiration": 1800,
		"wgCaptchaBadLoginExpiration": 300,
		"wgCaptchaBadLoginPerUserExpiration": 600,
		"ceAllowConfirmedEmail": false,
		"wgCaptchaBadLoginAttempts": 3,
		"wgCaptchaBadLoginPerUserAttempts": 20,
		"wgCaptchaWhitelist": false,
		"wgCaptchaRegexes": []
	},

Details

Related Gerrit Patches:
mediawiki/extensions/ConfirmEdit : masterRename $ceAllowConfirmedEmail to $wgAllowConfirmedEmail

Event Timeline

Reedy created this task.Apr 10 2017, 9:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2017, 9:36 PM
Florian claimed this task.Apr 14 2017, 2:13 PM

Change 348224 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/extensions/ConfirmEdit@master] Rename $ceAllowConfirmedEmail to $wgAllowConfirmedEmail

https://gerrit.wikimedia.org/r/348224

Change 348224 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@master] Rename $ceAllowConfirmedEmail to $wgAllowConfirmedEmail

https://gerrit.wikimedia.org/r/348224

Florian closed this task as Resolved.Apr 17 2017, 6:17 PM